package com.bonus.canteen.core.order.deprecated.dto;

import com.bonus.canteen.core.common.utils.SysUtil;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.List;

/** @deprecated */
@Deprecated
public class OrdPartRefundDTO {
   @ApiModelProperty("订单id")
   private @NotNull(
   message = "订单标识不能为空"
) String ordId;
   @ApiModelProperty("退款金额 分")
   private @NotNull(
   message = "退款金额不能为空"
) Integer refundAmount;
   @ApiModelProperty("订单详情idList")
   private List<OrdDetailPartRefundDTO> detailRefundList;
   @ApiModelProperty("退款原因")
   private String remark;
   @ApiModelProperty("退款纠错图片 多个用逗号分割")
   private String resressPicurl;

   public void setResressPicurl(String resressPicurl) {
      this.resressPicurl = SysUtil.getCutPathMulti(resressPicurl);
   }

   public String getOrdId() {
      return this.ordId;
   }

   public Integer getRefundAmount() {
      return this.refundAmount;
   }

   public List<OrdDetailPartRefundDTO> getDetailRefundList() {
      return this.detailRefundList;
   }

   public String getRemark() {
      return this.remark;
   }

   public String getResressPicurl() {
      return this.resressPicurl;
   }

   public void setOrdId(final String ordId) {
      this.ordId = ordId;
   }

   public void setRefundAmount(final Integer refundAmount) {
      this.refundAmount = refundAmount;
   }

   public void setDetailRefundList(final List<OrdDetailPartRefundDTO> detailRefundList) {
      this.detailRefundList = detailRefundList;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

}
